%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gypsy
Version:	0.9
Release:	%mkrel 9
Summary:	A GPS multiplexing daemon
Group:		System/Libraries
# See LICENSE file for details
License:	LGPLv2 and GPLv2
URL:		http://gypsy.freedesktop.org/
Source0:	http://gypsy.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:		gypsy-0.9-fedora-gtypeinit.patch
Patch1:		gypsy-0.9-mga-no-werror.patch
Patch2:		gypsy-0.9-gcc7.patch
Patch3:		gypsy-0.9-format.patch

BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libxslt)

Requires:	dbus

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	A GPS multiplexing daemon
Group:		System/Libraries

%description -n %{libname}
A GPS multiplexing daemon

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	gypsy-devel < 0.8-8

%description -n %{develname}
Header files for development with %{name}.

#--------------------------------------------------------------------

%package	docs
Summary:	Documentation files for %{name}
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc

%description docs
This package contains developer documentation for %{name}.

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING COPYING.lib LICENSE
%{_sysconfdir}/%{name}.conf
%{_sysconfdir}/dbus-1/system.d/Gypsy.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Gypsy.service
%{_libexecdir}/%{name}-daemon

%files -n %{libname}
%{_libdir}/libgypsy.so.%{major}
%{_libdir}/libgypsy.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libgypsy.so

%files docs
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.9-9.mga8
+ Revision: 1512918
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9-8.mga7
+ Revision: 1298159
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Oct 03 2017 cjw <cjw> 0.9-7.mga7
+ Revision: 1164930
- fix build with gcc 7

* Thu Jan 07 2016 danf <danf> 0.9-6.mga6
+ Revision: 920242
- Added no-werror.patch to stop aborting on compiler warnings

* Wed Oct 15 2014 umeabot <umeabot> 0.9-5.mga5
+ Revision: 745647
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9-4.mga5
+ Revision: 726458
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9-3.mga5
+ Revision: 680066
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 wally <wally> 0.9-2.mga5
+ Revision: 606215
- fix gypsy-devel obsoletes
- drop unneeded requires

* Wed Mar 19 2014 david-david <david-david> 0.9-1.mga5
+ Revision: 605891
- remove uneeded Patches
- add a Patch from fedora (fix for 'gtypeinit')
- new version: 0.9

* Wed Mar 19 2014 david-david <david-david> 0.8-8.mga5
+ Revision: 605878
- rename devel package as libgypsy-devel
- add a devel package on Provides

* Fri Oct 18 2013 umeabot <umeabot> 0.8-7.mga4
+ Revision: 505405
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8-6.mga3
+ Revision: 353063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.8-5.mga3
+ Revision: 339124
- patch4: fix build with automake 1.13

* Sun Oct 14 2012 ennael <ennael> 0.8-4.mga3
+ Revision: 305434
- Documentation group

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.8-3.mga3
+ Revision: 280060
- update patch 4 to fix another format string error
- modify CVE-2011-0524 patch to fix format errors
- add patch from OpenSuSE to fix unused var gcc error (patch 1)
- add patches from upstream via OpenSuSE to fix CVE-2011-052[34] (patches 2/3)
- add patch to fix format string gcc errors (patch 4)

* Thu Mar 24 2011 boklm <boklm> 0.8-2.mga1
+ Revision: 76153
- rebuild for bug #497

* Mon Mar 07 2011 dmorgan <dmorgan> 0.8-1.mga1
+ Revision: 66274
- Clean spec file
- imported package gypsy


* Tue Sep 7 2010 Peter Robinson <pbrobinson@gmail.com> 0.8-2
- Update to new source URL

* Wed Jun 9 2010 Peter Robinson <pbrobinson@gmail.com> 0.8-1
- New upstream 0.8 release

* Thu Aug 06 2009 Bastien Nocera <bnocera@redhat.com> 0.7-1
- Update to 0.7

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Bastien Nocera <bnocera@redhat.com> 0.6-9
- Gypsy is supposed to run as a system service, as root

* Wed Mar  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-8
- Move docs to noarch, some spec file updates

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-6
- Add gtk-doc build req

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-5
- Rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> 0.6-4
- Rebuild

* Mon May 15 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-3
- Further spec file cleanups

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-2
- Some spec file cleanups

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- Initial package
